<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelRates StructType
 * @subpackage Structs
 */
class HotelRates extends AbstractStructBase
{
    /**
     * The HotelRatesRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelRatesRQ
     */
    public $HotelRatesRQ;
    /**
     * Constructor method for HotelRates
     * @uses HotelRates::setHotelRatesRQ()
     * @param \StructType\JP_HotelRatesRQ $hotelRatesRQ
     */
    public function __construct(\StructType\JP_HotelRatesRQ $hotelRatesRQ = null)
    {
        $this
            ->setHotelRatesRQ($hotelRatesRQ);
    }
    /**
     * Get HotelRatesRQ value
     * @return \StructType\JP_HotelRatesRQ|null
     */
    public function getHotelRatesRQ()
    {
        return $this->HotelRatesRQ;
    }
    /**
     * Set HotelRatesRQ value
     * @param \StructType\JP_HotelRatesRQ $hotelRatesRQ
     * @return \StructType\HotelRates
     */
    public function setHotelRatesRQ(\StructType\JP_HotelRatesRQ $hotelRatesRQ = null)
    {
        $this->HotelRatesRQ = $hotelRatesRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HotelRates
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
